*{box-sizing:border-box;-webkit-tap-highlight-color:transparent;}
body {
    margin:0;
    font-family:-apple-system,BlinkMacSystemFont,"Helvetica Neue";
    /* background:#f6f7fb; */
    background:#0f1115;
    color: #fff;
}
/* detailsPage */
#coinName {
    font-size: 20px;
}
#price {
    margin-top: 20px;
}
#hot-title {
    position: relative;
}
#hot-title strong {
    position: relative;
    padding: 10px;
    /* background-color: white; */
    z-index: 999;
}
#hotCoins {
    display: flex;
    flex-direction: row;
    overflow: scroll;
    gap: 15px;
    margin: 10px;
}
#hotCoins .coin {
    /* box-shadow: 1px 2px 4px #eee; */
}
#market-title {
    position: relative;
}
#market-title strong {
    position: relative;
    padding: 10px;
    /* background-color: white; */
    z-index: 999;
}
hr {
    position: absolute;
    top: 50%;
    width: 100%;
    margin: 0;
}
.app{padding:12px;padding-bottom:80px;}
.banner{width:100%;border-radius:12px;margin-bottom:10px;}
#search{
    width:100%;
    padding:12px;
    border-radius:10px;
    border: 1px solid #1a1d24;
    /* border:1px solid #eee; */
    margin-bottom:10px;
    font-size:14px;
    background: #1c1f26;
    outline: none;
}

.hot, .box{
    /* background:white; */
    background: #0f1115;
    border-radius:12px;
    padding:10px;
    margin-bottom:10px;
}
.bg-box {
    background: #1c1f26;
}
.hotCoin{
    display:inline-block;
    padding:6px 10px;
    /* background:#f3f3f3; */
    background: #1c1f26;
    border-radius:20px;
    margin:5px;
    font-size:13px;
    cursor:pointer;
}
.coin{
    /* background:white; */
    background: #1a1d24;
    border-radius:12px;
    padding:12px;
    margin-bottom:10px;
    display:flex;
    align-items:center;
    justify-content:space-between;
}
.coin-left{flex:1;}
.coin-name{font-size:16px;font-weight:bold;}
.coin-price{font-size:14px;color:#666;}
.miniChart{width:90px;height:50px;}
.chart{width:100%;height:230px;}
button{background:#1677ff;border:none;color:white;padding:6px 12px;border-radius:8px;font-size:13px;cursor:pointer;}
.up{color:#0ecb81;}
.down{color:#f6465d;}
.trade{
    /* background:#fff; */
    background:#1c1f26;
    padding:10px;
    margin:10px 0;
    border-radius:10px;
}
.tabbar{
    position:fixed;
    bottom:0;
    left:0;
    right:0;
    height:60px;
    /* background:white; */
    background:#0f1115;
    /* border-top:1px solid #eee; */
    display:flex;
    align-items: center;}
.tabbar a{flex:1;text-align:center;text-decoration:none;color:#666;/**padding-top:8px;**/}
.tabbar a.active{color:#1677ff;}
#amount{
    padding: 6px; 
    width: 100%; 
    border-radius: 5px;
    /* border: 1px solid #666; */
    border: 1px solid #1c1f26;
    background: #1c1f26;
    margin-bottom: 8px;
    outline: none; /* 去掉默认蓝色边框 */}
/* 聚焦时边框变黑 */
#amount:focus {
    border: 1px solid #666 !important; /* 黑色边框 */
}
.trade-btn{
    display: flex;
    justify-content: space-around;
}
/* 自定义弹窗背景层 */
.custom-alert-mask {
    position: fixed;
    top:0;
    left:0;
    width:100%;
    height:100%;
    background: rgba(0,0,0,0.4);
    display:flex;
    justify-content:center;
    align-items:center;
    z-index:9999;
    opacity:0;
    pointer-events:none;
    transition: opacity 0.3s;
}

/* 弹窗显示状态 */
.custom-alert-mask.show {
    opacity:1;
    pointer-events:auto;
}

/* 弹窗主体 */
.custom-alert-box {
    background:#fff;
    border-radius:12px;
    padding:20px;
    max-width:80%;
    text-align:center;
    box-shadow: 0 4px 20px rgba(0,0,0,0.2);
    animation: scaleIn 0.3s;
}

/* 按钮 */
.custom-alert-box button {
    margin-top:12px;
    padding:6px 14px;
    border:none;
    border-radius:6px;
    background:#1677ff;
    color:#fff;
    font-size:14px;
    cursor:pointer;
}

/* 弹窗缩放动画 */
@keyframes scaleIn {
    0% {transform: scale(0.8); opacity:0;}
    100% {transform: scale(1); opacity:1;}
}